Bug 89641 - Page counters in status bars are inconsistent: “Page N / N” vs. “Page N of N”
Summary: Page counters in status bars are inconsistent: “Page N / N” vs. “Page N of N”
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: low minor
Assignee: dobragab
URL:
Whiteboard: target:5.0.0
Keywords: difficultyInteresting, easyHack, skillCpp, topicUI
Depends on:
Blocks:
 
Reported: 2015-02-25 08:27 UTC by Adolfo Jayme
Modified: 2016-02-18 16:37 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Adolfo Jayme 2015-02-25 08:27:18 UTC
After Writer’s status bar was updated to drop the slash in bug 80617 comment 16 (thanks a bunch, Samuel!), the other apps still have a slash (Calc shows “Sheet N / N” and Impress/Draw “Page N / N”). We should update those messages to be consistent with Writer’s.

Thanks in advance!
Comment 1 Buovjaga 2015-02-28 10:51:20 UTC
Confirmed.

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: ca7f62c8262662c8f58a3fa3b298623f25b55eaa
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-02-26_22:43:44
Locale: fi_FI
Comment 2 dobragab 2015-03-05 20:56:44 UTC
Hello,

I'd like to work on this bug from now, as a part of GSoC Easy Hacks. 

In case anyone knows in which file should I look for at Impress or Calc, it can save some time for me, because I am new to LibreOffice. 

dobragab
Comment 3 Adolfo Jayme 2015-03-06 04:38:58 UTC
dobragab, thanks a lot for having a look at this!

Not being a *true* developer myself, I can refer you to bug 64290 comment 6, which dealt with a very, very similar enhancement.

Please ask the developers list or the IRC channel if you get stuck.

Thanks again!
Comment 4 Jan Holesovsky 2015-03-06 11:40:28 UTC
dobragab: For Calc, have a look at sc/source/ui/view/cellsh.cxx , search for STR_TABLE.  You want to change the STR_TABLE in sc/source/ui/src/globstr.src to have a kind of "Sheet %1 of %2" and adapt the code in cellsh.cxx the same way as in  http://cgit.freedesktop.org/libreoffice/core/commit/?id=4b4e4ccf8d571fd6f6ee538c4e406b07fc810e2d

For Draw/Impress, you wrote me that you have some proof-of-concept patch, but that you have some issues with that - best if you can push the patch to gerrit, and we can sort out the missing pieces there as part of the review :-)

Thanks for working on this!
Comment 5 dobragab 2015-03-08 13:22:50 UTC
Submitted a patch: https://gerrit.libreoffice.org/#/c/14797/

Fixed in both Calc and Draw/Impress, text is also able to be localized. 

(Note: I changed some little code formatting at one point by accident.)
Comment 6 dobragab 2015-04-03 05:47:51 UTC
Uploaded final patch. Successfully built, waiting for review.

https://gerrit.libreoffice.org/#/c/14806/
Comment 7 Commit Notification 2015-04-10 12:30:54 UTC
Dobra Gabor committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4d000e85633c8e97e73bfc68a128dd7bea31223f

tdf#89641 Page numbering in Calc and Draw/Impress

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Adolfo Jayme 2015-04-10 12:57:15 UTC
Thank you!
Comment 9 Robinson Tryon (qubit) 2015-12-16 00:00:28 UTC
Migrating Whiteboard tags to Keywords: (EasyHack TopicUi SkillCpp DifficultyInteresting )
[NinjaEdit]
Comment 10 Robinson Tryon (qubit) 2016-02-18 16:37:03 UTC
Remove LibreOffice Dev List from CC on EasyHacks
(curtailing excessive email to list)
[NinjaEdit]